Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 20 Jan 2024 18:49:20 GMT
From:      Fernando =?utf-8?Q?Apestegu=C3=ADa?= <fernape@FreeBSD.org>
To:        ports-committers@FreeBSD.org, dev-commits-ports-all@FreeBSD.org, dev-commits-ports-main@FreeBSD.org
Subject:   git: d9fc94dd9d42 - main - Scripts/qa.sh: fine tune USES=ssl recommendation
Message-ID:  <202401201849.40KInKSK072622@gitrepo.freebsd.org>

next in thread | raw e-mail | index | archive | help
The branch main has been updated by fernape:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d9fc94dd9d4227cd78b4f40a0e614c64ca1bbaa8

commit d9fc94dd9d4227cd78b4f40a0e614c64ca1bbaa8
Author:     Fernando ApesteguĂ­a <fernape@FreeBSD.org>
AuthorDate: 2023-09-21 12:46:10 +0000
Commit:     Fernando ApesteguĂ­a <fernape@FreeBSD.org>
CommitDate: 2024-01-20 18:47:41 +0000

    Scripts/qa.sh: fine tune USES=ssl recommendation
    
    Try to avoid the "you need USES=ssl" in ports that provide a libssl.so or
    libcrypto.so libraries themselves like security/openssl or security/libressl.
    
    PR:                     270035
    Approved by:            portmgr (mat@)
    Differential Revision:  https://reviews.freebsd.org/D41973
---
 Mk/Scripts/qa.sh | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index ddb9ce09e0db..c4b68b67d2c8 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -116,6 +116,7 @@ baselibs() {
 	local found_openssl
 	local file
 	[ "${PKGBASE}" = "pkg" -o "${PKGBASE}" = "pkg-devel" ] && return
+
 	while read -r f; do
 		case ${f} in
 		File:\ .*)
@@ -136,10 +137,13 @@ baselibs() {
 	done <<-EOF
 	$(list_stagedir_elfs -exec readelf -d {} + 2>/dev/null)
 	EOF
-	if [ -z "${USESSSL}" -a -n "${found_openssl}" ]; then
-		warn "you need USES=ssl"
-	elif [ -n "${USESSSL}" -a -z "${found_openssl}" ]; then
-		warn "you may not need USES=ssl"
+
+	if ! list_stagedir_elfs | egrep -q 'lib(crypto|ssl).so*'; then
+		if [ -z "${USESSSL}" -a -n "${found_openssl}" ]; then
+			warn "you need USES=ssl"
+		elif [ -n "${USESSSL}" -a -z "${found_openssl}" ]; then
+			warn "you may not need USES=ssl"
+		fi
 	fi
 	return ${rc}
 }



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?202401201849.40KInKSK072622>